Subject: Re: [Ecrit] Draft new: draft-holmberg-ecrit-country-specific-emergency-services-00

From: Ivo Sedlacek <[email-masked]>
Date: Tue, 19 Feb 2013 18:58:59 +0000

Hello,

thanks for very good summary.

regarding "3)         There are a number of countries where a number of distinct police forces exist" - I also submitted to IANA the attached request for police related emergency services which exist in Poland and the Czech republic. RFC5031 policy is hopefully fulfilled for them since they exist in two countries.

Kind regards

Ivo Sedlacek

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer<http://www.ericsson.com/email_disclaimer>
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of DRAGE, Keith (Keith)
Sent: 19. února 2013 2:04
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [Ecrit] Draft new: draft-holmberg-ecrit-country-specific-emergency-services-00

To try and put things in context, I think there are four "problems" with the existing sos URN values. draft-holmberg-ecrit-country-specific-emergency-services-00 attempts to solve only one of these.

1)         There are a number of emergency services that exist in multiple countries where a sos subtype is not defined. My view is that we probably should define values for:
            -           traffic emergency
            -           child protection emergency (this is not the same as child counselling). For example Italy, among others, has such a value where an immediate response is required.
            Obviously before we can define these (and in addition to fulfilling the IANA registration requirements), we need to come up definitions of what these really mean.

2)         There are a number of emergency services that exist in a single country. Ideally, for use in networks where service URNs are used, these should have some form of service URN defined. This is what draft-holmberg-ecrit-country-specific-emergency-services-00 seeks to resolve.

3)         There are a number of countries where a number of distinct police forces exist. For any given location, these tend to be defined on a range of areas of jurisdiction, e.g. national versus municipal. This has been discussed on the list over the end of last year, and there seemed to be some consensus on defining a range of subtypes for subtype "police". Obviously it will not be possible to cover every variation with this, and we probably need to limit ourselves to values that serve in multiple countries, in the same way the higher level subtypes do.

4)             There are a number of cases were PSAPs cover multiple subtypes. Where service URNs are being used in isolation, this is not an issue. However where service URNs are being created from dialled digits, a particular local service number in the telephony numbering plan could well map to two or more potential subtypes. Yes, in these cases we could ignore generating a subtype altogether, but some countries find it desirable to obtain all the information available from the user. Thus it would be useful to be able to say sos.fire+medical in these scenarios.

Note that all these issues fall under the "sos" definition of emergency service.

Regards

Keith

________________________________
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Richard Barnes
Sent: 18 February 2013 17:56
To: John-Luc Bakker
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Ecrit] Draft new: draft-holmberg-ecrit-country-specific-emergency-services-00

Hi John-Luc,

We actually already have separate URNs for medical and fire -- "urn:service:sos.ambulance" and "urn:service:sos.fire" [1].  So that's not an issue.  LoST can map them to the same or different numbers depending on the jurisdiction.  There is also a "counseling" URN for children, "urn:service:counseling.children".

It might make sense to define new URNs for "national gendarmerie" / "national police", and possibly "counter terrorism", since it seems that those exist in several countries.

But in general, this is the sort of exercise that people should go through for the various countries.

--Richard

[1] <http://www.iana.org/assignments/urn-serviceid-labels/urn-serviceid-labels.xml>

On Mon, Feb 18, 2013 at 12:39 PM, John-Luc Bakker <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

A few observations on the contents of the Wikipedia page.
The first entry shows Algeria having one number for medical AND fire: "14".
Should there be one URN for "medical" and "fire" registered with IANA? (A second country with one number for medical AND fire, "15" in their case, is Morocco).

Also, Algeria lists:

National Gendarmerie : 1055; Counter Terrorist Unit : 1548; support for children : 3033.

So, URNs for these may also be needed. However, I question if we should derive IANA-registered URNs from any Wikipedia page (which can be edited by others that national regulators).

Kind regards,

               John-Luc

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Richard Barnes
Sent: Monday, February 18, 2013 11:28 AM
To: Ivo Sedlacek

Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Ecrit] Draft new: draft-holmberg-ecrit-country-specific-emergency-services-00

Yes, I was thinking that the policy would be that an emergency service exists in one country.  The purpose of the registry would be just be to encourage deduplication.  So, for instance, to encourage the several different countries that have traffic police numbers* to all use something like "urn:service:sos.traffic".  Or, to choose a better example, once Korea has registered "urn:service:sos.espionage", to encourage the second country that establishes a spy reporting service to also use that URN.

Alternatively, someone could just go through the list of emergency numbers on Wikipedia and submit one big registration for the common ones (like traffic police).  Those would be allowable under the current policy.

--Richard

* according to wikipedia: EG, SD, CN, IN**, PK, SA, AL, AM, AZ, NZ, CO, EC
** hopefully India could be persuaded to consolidate its three different traffic police numbers

On Mon, Feb 18, 2013 at 9:00 AM, Ivo Sedlacek <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

thank you for your mail.

> It seems to me that the more conservative approach would be to just update the IANA registration policy to be slightly more liberal.
By "slightly more liberal", do you propose that the IANA registration policy for registration of any sub-service of the service URN with the 'sos' service type would be relaxed similarly as proposed in the draft (i.e. it is sufficient if the emergency service exists in single country only)? That would be possible.

Or do you have other proposal?

Thank you for clarification.

Kind regards

 Ivo Sedlacek

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer<http://www.ericsson.com/email_disclaimer>

---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.

Subject: [IANA #658921] AutoReply: General Request for Assignment
From: IANA General Enquiries via RT <[email-masked]>
To: Ivo Sedlacek <[email-masked]>
Date: Fri, 15 Feb 2013 13:08:34 +0000

To whom it may concern:

This is an automatically generated message to notify you that we have
received your request, and it has been recorded in our ticketing
system with a reference number of 658921.

There is no need to reply to this message right now. IANA staff will
review your message shortly.

If this message is in reply to a previously submitted ticket, it is
possible that the previous ticket has been marked as closed. As we
review this ticket, we will also review previous correspondence and
take appropriate action.

To expedite processing, and ensure our staff can view the full history
of this request, please make sure you include the follow exact text in
the subject line of all future correspondence on this issue:

         [IANA #658921]

You can also simply reply to this message, as this tag is already in
the subject line.

Thank you,

The Internet Assigned Numbers Authority
[email-masked]

-------------------------------------------------------------------------

Contact Name:
Ivo Sedlacek

Contact Email:
[email-masked]

Type of Assignment:
Assignment of an service URN with the 'sos' service type as specified in RFC5031, section 4.2.

The following service URNs are proposed to be registered:
- urn:service:sos.police.local - The 'police.local' service refers to the emergency service offered by the police department or other law enforcement authorities of the local or municipal authorities.
- urn:service:sos.police.national - The 'police.national' service refers to the emergency service offered by the police department or other law enforcement authorities of the national government.

Registry:
Service URN Labels, 'sos' Sub-Services as shown at http://www.iana.org/assignments/urn-serviceid-labels/urn-serviceid-labels.xml

Description:
In the Czech republic and Poland, there are two public safety answering points (PSAP) offering the police related emergency services. The PSAP of the municipal police and the PSAP of the national police. There is currently no way how to distinguish whether the user wishes to contact the PSAP of the municipal police or the PSAP of the national police.

In Czech, the related regulation is http://aplikace.mvcr.cz/sbirka-zakonu/ViewFile.aspx?type=c&id=5134 pages 9 and 10 section 4.5 which lists the number 156 for "Obecní policie" (= municipal police) and the numbers 158 for "Policie České republiky" (= Czech republic police). Both numbers are listed with note 2) which states "Číslo je národním číslem pro tísňové volání" (= the number is a national number for emergency calls).

In Poland, http://uke.gov.pl/tablice-numerow-kierowania-alarmowego-nka-9410 lists the number 986 for "straż miejska" (= municipal police) and the number 997 for Policja (= police) as "numery alarmowe" (= emergency numbers).

Additional Info:
The registry is defined by RFC5031, section 4.2